<template>
  <form
    class="tab-pane"
    role="tabpanel"
    @submit.prevent="$emit('submit', controls)"
  >
    <div class="auth-modal-content">
      <div class="mb-3">
        <input
          v-model="controls.username"
          type="text"
          name="username"
          placeholder="Ваш логин"
          autocomplete="username"
        />
      </div>
      <div class="mb-2">
        <base-input
          v-model="controls.password"
          component="password"
          placeholder="Ваш пароль"
          autocomplete="current-password"
        />
      </div>
      <div class="d-flex justify-content-end">
        <a href="#" @click.prevent="$emit('recovery')"> Забыли пароль? </a>
      </div>
    </div>
    <div class="auth-modal-footer">
      <div class="mb-3">
        <button
          type="submit"
          class="btn btn-primary w-100 d-block"
          :disabled="loading || $v.controls.$invalid"
        >
          Войти
        </button>
      </div>
      <!-- <div class="d-flex align-items-center justify-content-between">
        <span>Войти с помощью</span>
        <ul class="list-unstyled mb-0 d-flex">
          <li>
            <a href="#">
              <i class="icon-socials-vk"></i>
            </a>
          </li>
          <li class="ms-2">
            <a href="#">
              <i class="icon-socials-google"></i>
            </a>
          </li>
        </ul>
      </div> -->
    </div>
  </form>
</template>

<script>
import required from 'vuelidate/lib/validators/required'
import minLength from 'vuelidate/lib/validators/minLength'
import { mapState } from 'vuex'

const initialControls = () => {
  if (process.env.NODE_ENV === 'development') {
    return {
      username: 'flareon',
      password: 'fa3f41ag45g',
    }
  } else {
    return {
      username: '',
      password: '',
    }
  }
}
export default {
  name: 'FormLogin',
  data() {
    return {
      controls: initialControls(),
    }
  },
  validations: {
    controls: {
      username: {
        required,
      },
      password: {
        required,
        minLength: minLength(8),
      },
    },
  },
  computed: {
    ...mapState({
      loading: (state) => state.loading,
    }),
  },
  methods: {
    reset() {
      this.controls = initialControls()
    },
  },
}
</script>
